Subject: Re: [bug#64711] [PATCH 37/43] gnu: glib: Disable tests for the Hurd.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 18 Jul 2023 16:05:45 -0400

Hello,

Janneke Nieuwenhuizen <[email-masked]> writes:

> Liliana Marie Prikler writes:
>
>> Am Dienstag, dem 18.07.2023 um 16:40 +0200 schrieb Janneke
>> Nieuwenhuizen:
>>> * gnu/packages/glib.scm (glib)[arguments]: When building for the
>>> Hurd,
>>> set #:tests? to #false.
>
> [..]
>>> +      #:tests? (not (target-hurd?))
>
>>> compiled
>
>> Instead of disabling tests altogether, can we just disable those that
>> fail on the Hurd?
>
> We probably can, and I have tried to do so in most cases.  However,
> identifying those tests can be quite time consuming.  I'm not sure how
> many tests failed here, and note that some tests will hang or crash the
> Hurd, so if we decide to do this, I would appreciate some help :-)
>
> Ludo on the other hand, argued against having more than ~20 (IIRC) test
> exceptions and using #:tests? #f instead.
>
> My idea was to get guix to build natively, and guix pull to work.  Once
> we get those to work, we can possibly look forward to more contributors
> to this.

I agree with Liliana that it's nicer to disable just these tests that
fail, but in light of what you wrote, your approach seems reasonable.

-- 
Thanks,
Maxim